<div class="col-12 container">
  <div class="card">
    <div class="card-body">
      <div class="row">
        <h4 class="card-title col-12 text-primary">
          Atencion de Servicios y Reclamos / Monitoreo Transacional
        </h4>
        <h6 class="card-subtitle col-12">
          Gerencia de Deteccion y Analisis de Riesgos
        </h6>
        <div class="mb-4 row col-12">
          <h3 class="col-sm-6 col-md-4 text-primary">Inventario de Casos</h3>
          <form class="form-horizontal form-material col-6 col-md-8">
            <div class="form-group row">
              <div class="col-md-12">
                <input
                  type="text"
                  placeholder="Buscar"
                  class="form-control form-control-line col-md-9"
                />
                <a
                  class="col-md-3 btn waves-effect waves-light btn-success text-white"
                >
                  Buscar
                </a>
              </div>
            </div>
          </form>
        </div>
      </div>
      <h5 class="col-12 text-primary">Asignados</h5>
      <div class="table-responsive">
        <table class="table table-bordered">
          <thead class="bg-dark text-white">
            <tr>
              <th class="text-center">SAKE</th>
              <th class="text-center">Fecha de ingreso</th>
              <th class="text-center">Nombre</th>
              <th class="text-center">Tipo de caso</th>
              <th class="text-center">Status</th>
              <th class="text-center">Reasignar</th>
            </tr>
          </thead>
          <tbody *ngFor="let item of GerenteAsignadosItems">
            <tr>
              <td class="text-center">{{ item.sake }}</td>
              <td class="text-center">{{ item.fecha }}</td>
              <td class="text-center">{{ item.nombre }}</td>
              <td class="text-center">{{ item.tipo }}</td>
              <td class="text-center">{{ item.status }}</td>
              <td class="text-center">
                <img src="./assets/iconos/boton_reasignar.png" alt="" />
              </td>
            </tr>
          </tbody>
        </table>
      </div>

      <h5 class="col-12 text-primary mt-5">Por Asignar</h5>
      <div class="table-responsive">
        <table class="table table-bordered">
          <thead class="bg-dark text-white">
            <tr>
              <th class="text-center">SAKE</th>
              <th class="text-center">Fecha de ingreso</th>
              <th class="text-center">Nombre</th>
              <th class="text-center">Tipo de caso</th>

              <th class="text-center">Reasignar</th>
            </tr>
          </thead>
          <tbody *ngFor="let item of GerentePorAsignarItems; let i = index">
            <tr>
              <td class="text-center">{{ item.sake }}</td>
              <td class="text-center">{{ item.fecha }}</td>
              <td class="text-center">{{ item.nombre }}</td>
              <td class="text-center">{{ item.tipo }}</td>
              <td class="text-center">
                <img
                  src="./assets/iconos/boton_asignar.png"
                  alt=""
                  type="button"
                  data-toggle="modal"
                  data-target="#exampleModal"
                  (click)="abrir_modal(i)"
                />
              </td>
            </tr>
          </tbody>
        </table>
        <div
          class="modal fade"
          id="exampleModal"
          tabindex="-1"
          role="dialog"
          aria-labelledby="exampleModalLabel"
          aria-hidden="true"
        >
          <div class="modal-dialog" role="document">
            <div class="modal-content">
              <div class="modal-body">
                <h5>{{ mensaje }}</h5>
                <form
                  class="form-horizontal form-material"
                  ngNativeValidate
                  (ngSubmit)="enviar()"
                >
                  <div class="form-group">
                    <label class="col-md-12">Sake#</label>
                    <div class="col-md-12">
                      <input
                        type="text"
                        class="form-control form-control-line"
                        value="{{ modal.sake }}"
                        [(ngModel)]="modal.sake"
                        name="sake"
                      />
                    </div>
                  </div>
                  <div class="form-group">
                    <label class="col-md-12">Cliente</label>
                    <div class="col-md-12">
                      <input
                        type="text"
                        value="{{ modal.Nombre }}"
                        class="form-control form-control-line"
                        [(ngModel)]="modal.nombre"
                        name="nombre"
                      />
                    </div>
                  </div>
                  <div class="form-group">
                    <label class="col-md-12">Fecha de ingreso</label>
                    <div class="col-md-12">
                      <div class="input-group date sandbox-container">
                        <input
                          type="date"
                          class="form-control"
                          value="{{ modal.fecha }}"
                          [(ngModel)]="modal.fecha"
                          name="fecha"
                          autocomplete="off"
                        />
                      </div>
                    </div>
                  </div>
                  <div class="form-group">
                    <label class="col-md-12">Tipo de caso</label>
                    <div class="col-md-12">
                      <textarea
                        rows="2"
                        class="form-control form-control-line"
                        [(ngModel)]="modal.tipo_caso"
                        name="tipo_caso"
                      ></textarea>
                    </div>
                  </div>

                  <div class="form-group">
                    <label class="col-sm-12">Asignar al Analista</label>
                    <div class="col-sm-12">
                      <select
                        class="form-control form-control-line"
                        [(ngModel)]="modal.analista"
                        name="analista"
                      >
                        <option *ngFor="let analista of analistas"
                          >{{ analista }}
                        </option>
                      </select>
                    </div>
                  </div>
                  <div class="form-group">
                    <div class="col-sm-12">
                      <button class="btn btn-success col-sm-12" type="submit">
                        Asignar
                      </button>
                    </div>
                  </div>
                </form>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
